<?php
session_start();
include "../conexion.php";
$usu_id=$_SESSION['usu_id'];
if(!empty($_POST))
{
    $comt_id=$_POST['id'];
    if(isset($_POST['serial']) && !empty($_POST['serial'])) 
    {
        $serial = $_POST['serial'];
        $valores_no_vacios = 0;

        foreach($serial as $valor) 
        {
            if(!empty($valor)) 
            $valores_no_vacios++;
        }
        $valores_no_vacios;
    }

    $number = $valores_no_vacios;  
    if($number > 0)  
    {  
        for($i=0; $i<$number; $i++)  
        {  
            if(trim($_POST["serial"][$i] != '') )
            $dato1=mb_strtoupper($_POST["serial"][$i]);  
            {
                $sql = "INSERT INTO seriales_com_temp (ser_codigo,usuario,compra_detalle_temp_comt_id) VALUES('".$dato1."','$usu_id','$comt_id')";  
                 mysqli_query($con, $sql);  
            } 
        }
        echo '<div class="alert alert-success alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong>Serial!</strong> Registrado correctamente.
            </div>'; 
    } 
}
?>  